|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionToolButton Class Reference

The QStyleOptionToolButton class is used to describe the parameters for drawing a tool button. More...

    #include <QStyleOptionToolButton>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Public Types

- enum ToolButtonFeature { None, Arrow, Menu, PopupDelay }
- flags ToolButtonFeatures

### Properties

- arrowType : const Qt::ArrowType
- features : const ToolButtonFeatures
- font : const QFont
- icon : const QIcon

- iconSize : const QSize
- pos : const QPoint
- text : const QString
- toolButtonStyle : const Qt::ToolButtonStyle

- 2 properties inherited from QStyleOptionComplex
- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionToolButton ()
- QStyleOptionToolButton ( const QStyleOptionToolButton & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionToolButton class is used to describe the parameters for drawing a tool button.

The QStyleOptionToolButton class is used for drawing QToolButton.

## Member Type Documentation

### enum QStyleOptionToolButton::ToolButtonFeature
flags QStyleOptionToolButton::ToolButtonFeatures

Describes the various features that a tool button can have.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolButton::None` | `0x00` | A normal tool button.
`QStyleOptionToolButton::Arrow` | `0x01` | The tool button is an arrow.
`QStyleOptionToolButton::Menu` | `0x04` | The tool button has a menu.
`QStyleOptionToolButton::PopupDelay` | `0x08` | There is a delay to showing the menu.

The `ToolButtonFeatures` type stores an OR combination of `ToolButtonFeature` values.

See also features, QToolButton::toolButtonStyle(), and QToolButton::popupMode().

## Property Documentation

### arrowType : const Qt::ArrowType

This property holds the direction of the arrow for the tool button.

This value is only used if features includes Arrow.

### features : const ToolButtonFeatures

This property holds the features of the tool button.

This variable is a bitwise OR describing the features of the button.

See also ToolButtonFeature.

### font : const QFont

This property holds the font that is used for the text.

This value is only used if features includes TextLabel.

### icon : const QIcon

This property holds the icon for the tool button.

### iconSize : const QSize

### pos : const QPoint

This property holds the position of the tool button.

### text : const QString

This property holds the text of the tool button.

This value is only used if features includes TextLabel.

### toolButtonStyle : const Qt::ToolButtonStyle

This property holds used to describe the appearance of a tool button.

See also QToolButton::toolButtonStyle().

## Member Function Documentation

### QStyleOptionToolButton::QStyleOptionToolButton ()

Constructs a QStyleOptionToolButton. The members variables are initialized to default values.

### QStyleOptionToolButton::QStyleOptionToolButton ( const QStyleOptionToolButton & other )